import request from '@/utils/request'

// 查询跟进记录列表
export function listRecord(query) {
  return request({
    url: '/invest/record/list',
    method: 'get',
    params: query
  })
}

// 查询跟进记录详细
export function getRecord(id) {
  return request({
    url: '/invest/record/' + id,
    method: 'get'
  })
}

// 新增跟进记录
export function addRecord(data) {
  return request({
    url: '/invest/record',
    method: 'post',
    data: data
  })
}

// 修改跟进记录
export function updateRecord(data) {
  return request({
    url: '/invest/record',
    method: 'put',
    data: data
  })
}

// 删除跟进记录
export function delRecord(id) {
  return request({
    url: '/invest/record/' + id,
    method: 'delete'
  })
}
